Skip to main content

Create a new stablecoin remitter

POST /stablecoins/remitters

Request

Use this endpoint to create a new stablecoin remitter for a given budget.
curl -i -X POST \
  'https://api.equalsmoney.com/stablecoins/remitters?accountId=F50091' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
    "displayName": "John Smith",
    "sourceCurrencyCode": "USDC",
    "destinationCurrencyCode": "USD",
    "details": {
      "type": "INDIVIDUAL",
      "firstName": "John",
      "lastName": "Smith",
      "dateOfBirth": "1946-01-19",
      "emailAddress": "[test@equalsmoney.com](mailto:test@equalsmoney.com)",
      "nationality": "AD",
      "residentialAddress": {
        "streetName": "Upper Thames Street",
        "buildingNumber": "68",
        "buildingName": "Vintners Place",
        "postcode": "EC4V 3BJ",
        "city": "London",
        "region": "Greater London",
        "countryCode": "GB"
      }
    },
    "requesterIpAddress": "127.0.0.1"
  }'

Query parameters

accountId
string
required
The ID of the account to work with.Allowable values: An existing accountId (≤ 36 characters)

Request body schema

budgetId
string
required
The ID of the budget to work with.Allowable values: A valid UUID (≤ 36 characters)
sourceCurrencyCode
string
required
The currency the remitter will send.Allowable values: A string [ 3 .. 4 ] characters (e.g., USDC)
destinationCurrencyCode
string
required
The currency that should be received into the budget.Allowable values: A string [ 3 .. 4 ] characters (e.g., USD)
details
object
required
Individual or Business details object.
details.type
string
required
Type of remitter.Allowable values: INDIVIDUAL, BUSINESS
details.firstName
string
required
First name (for individuals).
details.lastName
string
required
Last name (for individuals).
details.dateOfBirth
string
required
Date of birth in YYYY-MM-DD format (for individuals).
details.emailAddress
string
required
Email address.
details.nationality
string
required
Nationality as a two-letter country code.
details.residentialAddress
object
required
Residential address object.

Response

If your request is successful, you’ll receive a 201 response.
{
  "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "accountId": "F50091",
  "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "status": "OPEN",
  "displayName": "John Smith",
  "sourceCurrencyCode": "USDC",
  "destinationCurrencyCode": "USD",
  "details": {
    "type": "INDIVIDUAL",
    "firstName": "John",
    "lastName": "Smith",
    "dateOfBirth": "1946-01-19",
    "emailAddress": "[test@equalsmoney.com](mailto:test@equalsmoney.com)",
    "nationality": "AD",
    "residentialAddress": {
      "streetName": "Upper Thames Street",
      "buildingNumber": "68",
      "buildingName": "Vintners Place",
      "postcode": "EC4V 3BJ",
      "city": "London",
      "region": "Greater London",
      "countryCode": "GB"
    }
  },
  "link": {
    "url": "https://pay.sandbox.bvnk.com/channl?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0",
    "chains": [
      {
        "protocol": "ETH",
        "address": "0x0000000000000000000000000000000000000000"
      }
    ]
  },
  "createdBy": "John Smith",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
For more detailed information about this request and its response, see API reference.

List stablecoin remitters

GET /stablecoins/remitters

Request

Use this endpoint to retrieve a paginated list of all stablecoin remitters for a given budget. You can filter results using query parameters.
curl -i -X GET \
    'https://api.equalsmoney.com/stablecoins/remitters?accountId=F50091&budgetId=775596ae-2624-40af-a9dc-9756110a4a03&sourceCurrencyCode=USDC&destinationCurrencyCode=USD&search=John&limit=200&offset=100' \
    -H 'Authorization: YOUR_API_KEY_HERE' \

Query parameters

accountId
string
required
The ID of the account to work with.Allowable values: An existing accountId (≤ 36 characters)
budgetId
string
The ID of the budget to work with.Allowable values: A valid UUID (≤ 36 characters)
sourceCurrencyCode
string
The source currency code to filter by, in ISO 4217 format.Allowable values: A string [ 3 .. 4 ] characters (e.g., USDC)
destinationCurrencyCode
string
The destination currency code to filter by, in ISO 4217 format.Allowable values: A string [ 3 .. 4 ] characters (e.g., USD)
Search term to filter remitters.
limit
integer
required
The maximum number of results to return. For example, limit=200. Defaults to 100 if not provided.Allowable values: [ 1 .. 1000 ]
offset
integer
required
The number of items to skip before returning results. For example, offset=100. Defaults to 0 if not provided.Allowable values: A valid integer

Response

If your request is successful, you’ll receive a 200 response.
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "accountId": "F50091",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "status": "OPEN",
      "displayName": "John Smith",
      "sourceCurrencyCode": "USDC",
      "destinationCurrencyCode": "USD",
      "details": {
        "type": "INDIVIDUAL",
        "firstName": "John",
        "lastName": "Smith",
        "dateOfBirth": "1946-01-19",
        "emailAddress": "[test@equalsmoney.com](mailto:test@equalsmoney.com)",
        "nationality": "AD",
        "residentialAddress": {
          "streetName": "Upper Thames Street",
          "buildingNumber": "68",
          "buildingName": "Vintners Place",
          "postcode": "EC4V 3BJ",
          "city": "London",
          "region": "Greater London",
          "countryCode": "GB"
        }
      },
      "createdBy": "John Smith",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
For more detailed information about this request and its response, see API reference.

Retrieve a specific stablecoin remitter

GET /stablecoins/remitters/{id}

Request

Use this endpoint to retrieve details of a specific stablecoin remitter.
curl -i -X GET \
  'https://api.equalsmoney.com/stablecoins/remitters/e9293471-5eb3-4dbc-916c-dbaf9e2deefd?accountId=F50091&include=link' \
  -H 'Authorization: YOUR_API_KEY_HERE' \

Path parameters

id
string
required
The unique ID of the remitter.Allowable values: A valid UUID

Query parameters

accountId
string
required
The ID of the account to work with.Allowable values: An existing accountId (≤ 36 characters)

Response

If your request is successful, you’ll receive a 200 response.
{
  "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "accountId": "F50091",
  "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "status": "OPEN",
  "displayName": "John Smith",
  "sourceCurrencyCode": "USDC",
  "destinationCurrencyCode": "USD",
  "details": {
    "type": "INDIVIDUAL",
    "firstName": "John",
    "lastName": "Smith",
    "dateOfBirth": "1946-01-19",
    "emailAddress": "[test@equalsmoney.com](mailto:test@equalsmoney.com)",
    "nationality": "AD",
    "residentialAddress": {
      "streetName": "Upper Thames Street",
      "buildingNumber": "68",
      "buildingName": "Vintners Place",
      "postcode": "EC4V 3BJ",
      "city": "London",
      "region": "Greater London",
      "countryCode": "GB"
    }
  },
  "link": {
    "url": "https://pay.sandbox.bvnk.com/channl?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0",
    "chains": [
      {
        "protocol": "ETH",
        "address": "0x0000000000000000000000000000000000000000"
      }
    ]
  },
  "createdBy": "John Smith",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
For more detailed information about this request and its response, see API reference.